Class | ActionController::Routing::Optimisation::PositionalArguments
In: | lib/action_controller/routing/optimisations.rb
Parent: | Optimiser

Given a route

      map.person '/people/:id'

If the user calls `person_url(@person)`, we can simply return a string like "/people/#{@person.to_param}" rather than triggering the expensive logic in `url_for`.

### Methods

generation_code guard_conditions

### Public Instance methods

generation_code()
guard_conditions()

[Validate]